Bug 965460 - Sentence No disks selected .. in text mode has several extra blank spaces
Sentence No disks selected .. in text mode has several extra blank spaces
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-05-21 05:36 EDT by Martin Banas
Modified: 2013-05-24 16:18 EDT (History)
8 users (show)

See Also:
Fixed In Version: anaconda-19.30-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-24 16:18:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (13.54 KB, image/png)
2013-05-21 05:36 EDT, Martin Banas
no flags Details

  None (edit)
Description Martin Banas 2013-05-21 05:36:24 EDT
Created attachment 750941 [details]
screenshot

Description of problem:
When selecting disk, No disks message has several blank spaces:
"No disks selected; please select at least one disk                           to install to"

Version-Release number of selected component (if applicable):
Fedora-19-Beta-RC2
anaconda-19.28

How reproducible:
always

Steps to Reproduce:
1. Start text mode installer
2. Go to storage spoke
3. Observe the dialog

Actual results:
"No disks selected; please select at least one disk                           to install to"

Expected results:
"No disks selected; please select at least one disk to install to"

Additional info:

/pyanaconda/ui/tui/spokes/storage.py:
153         if len(self.disks) == 0:
154             summary = _("No disks detected.  Please shut down the computer, \
155                          connect at least one disk, and restart to complete \
156                          installation.")
157         elif count == 0:
158             summary = (_("No disks selected; please select at least one disk \
159                           to install to."))

Same issue will be when there are no disks at all (line 155,156).
Comment 1 Jan Stodola 2013-05-21 07:20:49 EDT
Also following screen needs to be fixed:

================================================================================
Autopartitioning Options

[ ] 1) Replace Existing Linux system(s)

[x] 2) Use All Space

[ ] 3) Use Free Space

Installation requires partitioning of your hard drive.                       Sel
ect what space to use for the install target.

  Please make your choice from above ['q' to quit | 'c' to continue]:
Comment 2 Samantha N. Bueno 2013-05-21 16:23:31 EDT
Patch posted to anaconda-patches for review.
Comment 3 Samantha N. Bueno 2013-05-21 21:53:11 EDT
Patch pushed, commit 5410a838e6d04055444e0db7447b6ca677f0328a
Comment 4 Samantha N. Bueno 2013-05-21 21:55:37 EDT
I should note, the patch fixes the issues reported in the description and comment 1.
Comment 5 Fedora Update System 2013-05-22 14:30:03 EDT
anaconda-19.30-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/anaconda-19.30-1.fc19
Comment 6 Fedora Update System 2013-05-22 18:39:29 EDT
Package anaconda-19.30-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-19.30-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8871/anaconda-19.30-1.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-05-24 16:18:42 EDT
anaconda-19.30-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.